classification
Title: test_normalization: test.support.open_urlresource() doesn't handle urllib.error.URLError timeout
Type: Stage: resolved
Components: Tests Versions: Python 3.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: vstinner
Priority: normal Keywords:

Created on 2017-09-18 16:29 by vstinner, last changed 2018-09-21 23:06 by vstinner. This issue is now closed.

Messages (1)
msg302473 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-09-18 16:29
http://buildbot.python.org/all/builders/AMD64%20Debian%20PGO%203.x/builds/1316/steps/test/logs/stdio

======================================================================
FAIL: test_main (test.test_normalization.NormalizationTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/lib/buildbot/slaves/enable-optimizations-bot/3.x.gps-debian-profile-opt.nondebug/build/Lib/urllib/request.py", line 1316, in do_open
    encode_chunked=req.has_header('Transfer-encoding'))
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/var/lib/buildbot/slaves/enable-optimizations-bot/3.x.gps-debian-profile-opt.nondebug/build/Lib/test/test_normalization.py", line 42, in test_main
    check=check_version)
urllib.error.URLError: <urlopen error timed out>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/var/lib/buildbot/slaves/enable-optimizations-bot/3.x.gps-debian-profile-opt.nondebug/build/Lib/test/test_normalization.py", line 47, in test_main
    self.fail(f"Could not retrieve {TESTDATAURL}")
AssertionError: Could not retrieve http://www.pythontest.net/unicode/10.0.0/NormalizationTest.txt
History
Date User Action Args
2018-09-21 23:06:11vstinnersetstatus: open -> closed
resolution: out of date
stage: resolved
2017-09-18 16:29:16vstinnercreate